<?php
/************************************************************************
 * MXChange v0.2.1                                    Start: 08/25/2003 *
 * ===============                              Last change: 10/23/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : footer.php                                       *
 * -------------------------------------------------------------------- *
 * Short description : Add the HTML code for the footer                 *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Den Fuss des HTML-Codes hinzufuegen              *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * Needs to be in all Files and every File needs "svn propset           *
 * svn:keywords Date Revision" (autoprobset!) at least!!!!!!            *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if (!defined('__SECURITY')) {
	die();
} // END - if

// Footer disabled or already sent?
// 1234      5                       54    45                              5    5                              543    3                              321
if ((((!isset($GLOBALS['footer_sent'])) || (($GLOBALS['footer_sent'] != '1') && ($GLOBALS['footer_sent'] != '2'))) && (getOutputMode() != '1'))) {
	// @TODO Rewrite these all into filters
	// Handle fatal errors
	handleFatalErrors();

	// Shall we display the copyright notice?
	if ((!isGetRequestElementSet('frame')) && (basename($_SERVER['PHP_SELF']) != 'mailid_top.php') && ((getConfig('WRITE_FOOTER') == 'Y') || (isInstalling())) && ($GLOBALS['header_sent'] == '2')) {
		// Backlink enabled?
		if ((getConfig('ENABLE_BACKLINK') == 'Y') || (isInstalling())) {
			// Copyright with backlink, thanks! :-)
			loadTemplate('copyright_backlink');
		} else {
			// No backlink in Copyright note
			loadTemplate('copyright');
		}
	} // END - if

	// Shall we display the parsing time and number of queries?
	if ((((isExtensionInstalledAndNewer('sql_patches', '0.4.1')) && (getConfig('show_timings') == 'Y') && (!isGetRequestElementSet('frame'))) || (isInstallationPhase())) && ($GLOBALS['header_sent'] == '2')) {
		// Then display it here
		displayParsingTime();
	} // END - if

	// Shall we display SQL queries?
	if ((isAdmin()) && (isExtensionInstalledAndNewer('other', '0.2.2')) && (getConfig('display_debug_sqls') == 'Y') && (!isGetRequestElementSet('frame')) && ($GLOBALS['header_sent'] == '2')) {
		// Then display it here
		displayDebugSqls();
	} // END - if

	// Shall we include the uberwach snippet?
	if ((!isGetRequestElementSet('frame')) && (isExtensionActive('uberwach')) && (getModule() != 'admin') && ($GLOBALS['header_sent'] == '2')) {
		// Then display it here
		loadUberwachSnippet();
	} // END - if

	// Load page footer
	loadTemplate('page_footer');

	// And the last closing HTML tag
	outputHtml('</html>');
} // END - if

// Footer has been reached
$GLOBALS['footer_sent'] = 1;

// Shutdown
shutdown();

// [EOF]
?>
